local VillageDeco = ...

--register Walls
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Iron_Part", "PREFAB_FENCE_IRON_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Iron_Part", "PREFAB_FENCE_IRON_LIGHT")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Iron_Fleur_Part", "PREFAB_FENCE_IRON_FLEUR_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Iron_Fleur_Part", "PREFAB_FENCE_IRON_FLEUR_LIGHT")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Stone_Part", "PREFAB_FENCE_STONE_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Stone_Part", "PREFAB_FENCE_STONE_LIGHT")

--register Dark Parts
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Pillar1_Part", "PREFAB_PILLAR1_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Pillar2_Part", "PREFAB_PILLAR2_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part", "PREFAB_BRICK_PILLAR_SQUARE_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Octo_Part", "PREFAB_BRICK_PILLAR_OCTO_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Arch_Part", "PREFAB_ARCH_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Wall_Part", "PREFAB_IRON_WALL_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Part", "PREFAB_BRICK_WALL_HALF_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Broken_Part", "PREFAB_BRICK_WALL_BROKEN_DARK")

--register Light Parts
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Pillar1_Part", "PREFAB_PILLAR1_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Pillar2_Part", "PREFAB_PILLAR2_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part", "PREFAB_BRICK_PILLAR_SQUARE_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Octo_Part", "PREFAB_BRICK_PILLAR_OCTO_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Arch_Part", "PREFAB_ARCH_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Iron_Wall_Part", "PREFAB_IRON_WALL_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Part", "PREFAB_BRICK_WALL_HALF_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Broken_Part", "PREFAB_BRICK_WALL_BROKEN_LIGHT")

--register Decoration Parts
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", "PREFAB_IRON_GATE_LOCK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", "PREFAB_IRON_GATE_SINGLE")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", "PREFAB_IRON_GATE_DOOR")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Cross_Part", "PREFAB_DECO_CROSS")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Lantern_Part", "PREFAB_DECO_LANTERN")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Fleurdelis_Part", "PREFAB_DECO_FLEURDELIS")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part", "PREFAB_DECO_BRAZIER_ON")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_Off_Part", "PREFAB_DECO_BRAZIER_OFF")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", "PREFAB_ORNAMENT_FLEUR")
VillageDeco:registerAssetId("models/fence.png", "TEXTURE_FENCE")

VillageDeco:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_FENCE",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_FENCE"
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_DARK",
	WallConfigName = "FENCE_IRON_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_LIGHT",
	WallConfigName = "FENCE_IRON_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_FLEUR_DARK",
	WallConfigName = "FENCE_IRON_FLEUR_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_FLEUR_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_FLEUR_LIGHT",
	WallConfigName = "FENCE_IRON_FLEUR_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_FLEUR_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_STONE_DARK",
	WallConfigName = "FENCE_STONE_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_STONE_DARK",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_STONE_LIGHT",
	WallConfigName = "FENCE_STONE_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_STONE_LIGHT",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_WALL_DARK",
	Name = "IRON_WALL_DARK_NAME",
	Description = "IRON_WALL_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_WALL_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_WALL_LIGHT",
	Name = "IRON_WALL_LIGHT_NAME",
	Description = "IRON_WALL_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = {
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_WALL_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_DARK",
	Name = "BRICK_WALL_DARK_NAME",
	Description = "BRICK_WALL_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_LIGHT",
	Name = "BRICK_WALL_LIGHT_NAME",
	Description = "BRICK_WALL_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_LIGHT",
	Name = "BRICK_WALL_HALF_LIGHT_NAME",
	Description = "BRICK_WALL_HALF_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_DARK",
	Name = "BRICK_WALL_HALF_DARK_NAME",
	Description = "BRICK_WALL_HALF_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_BROKEN_DARK",
	Name = "BRICK_WALL_BROKEN_DARK_NAME",
	Description = "BRICK_WALL_BROKEN_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_BROKEN_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_BROKEN_LIGHT",
	Name = "BRICK_WALL_BROKEN_LIGHT_NAME",
	Description = "BRICK_WALL_BROKEN_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_BROKEN_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR1_DARK",
	Name = "PILLAR1_DARK_NAME",
	Description = "PILLAR1_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR1_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR1_LIGHT",
	Name = "PILLAR1_LIGHT_NAME",
	Description = "PILLAR1_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR1_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR2_DARK",
	Name = "PILLAR2_DARK_NAME",
	Description = "PILLAR1_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR2_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR2_LIGHT",
	Name = "PILLAR2_LIGHT_NAME",
	Description = "PILLAR1_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR2_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_DARK",
	Name = "BRICK_PILLAR_SQUARE_DARK_NAME",
	Description = "BRICK_PILLAR_SQUARE_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_LIGHT",
	Name = "BRICK_PILLAR_SQUARE_LIGHT_NAME",
	Description = "BRICK_PILLAR_SQUARE_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_OCTO_DARK",
	Name = "BRICK_PILLAR_OCTO_DARK_NAME",
	Description = "BRICK_PILLAR_OCTO_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_OCTO_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_OCTO_LIGHT",
	Name = "BRICK_PILLAR_OCTO_LIGHT_NAME",
	Description = "BRICK_PILLAR_OCTO_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_OCTO_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_DARK",
	Name = "ARCH_DARK_NAME",
	Description = "ARCH_DARK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_LIGHT",
	Name = "ARCH_LIGHT_NAME",
	Description = "ARCH_LIGHT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_LOCK",
	Name = "IRON_GATE_LOCK_NAME",
	Description = "IRON_GATE_LOCK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_LOCK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_SINGLE",
	Name = "IRON_GATE_SINGLE_NAME",
	Description = "IRON_GATE_SINGLE_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_SINGLE"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_DOOR",
	Name = "IRON_GATE_DOOR_NAME",
	Description = "IRON_GATE_DOOR_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_DOOR"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_CROSS",
	Name = "DECO_CROSS_NAME",
	Description = "DECO_CROSS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_CROSS"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_LANTERN",
	Name = "DECO_LANTERN_NAME",
	Description = "DECO_LANTERN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_LANTERN"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_FLEURDELIS",
	Name = "DECO_FLEURDELIS_NAME",
	Description = "DECO_FLEURDELIS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_FLEURDELIS"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_ON",
	Name = "DECO_BRAZIER_ON_NAME",
	Description = "DECO_BRAZIER_ON_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_ON"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_OFF",
	Name = "DECO_BRAZIER_OFF_NAME",
	Description = "DECO_BRAZIER_OFF_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_OFF"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_FLEUR",
	Name = "ORNAMENT_FLEUR_NAME",
	Description = "ORNAMENT_FLEUR_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_FLEUR"
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Iron_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Cross_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Lantern_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Fleurdelis_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true,
	FeedbackComponentListToActivate = {
		{ "SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_Off_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part/SmokeEmitter", "SMOKE_EMITTER_PREFAB")

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})

VillageDeco:registerAssetProcessor("models/ironfencedark.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

VillageDeco:registerAssetProcessor("models/ironfencelight.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})